QGIS Application - Bug report #18750
Reclassify grid values in SAGA broken
2018-04-18 02:17 PM - matteo ghetta

Status: Closed

Priority: High

Assignee:

Category: Processing/SAGA
Affected QGIS version:master
Operating System: linux

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: Yes
Easy fix?: No
Resolution:

Copied to github as #: 26637

Description

This the error in the log file:

Loading resulting layers

Algorithm 'Reclassify values (simple)' finished
Processing algorithm...

AlgorithmDialog

Input parameters:

{'GRID_IN': '/tmp/processing_0d84d0cba3f64eca9243f2ba5fdb600f/aa9dc0ddfbda469795eebb092d750248/slope.tif',

'GRID_OUT":

'/tmp/processing_0d84d0cba3f64eca9243f2ba5fdb600f/7b39a3544ce4440f9a7261e954€9149b/GRID_OUT.sdat', 'LOOKUP" :

[[0,15,1],[15,30,2],[30,70,3]], ' METHOD': 2 }

Traceback (most recent call last):

File "/home/matteo/lavori/QGIS/newbuild/output/python/plugins/processing/algs/saga/SagaAlgorithm.py", line 270, in

processAlgorithm

s = values|[i] + \t' + values[i + 1] + \t' + values][i + 2] + \n'
TypeError: can only concatenate list (not "str") to list

Execution failed after 0.06 seconds

Loading resulting layers
Algorithm 'Reclassify values (simple)' finished

Associated revisions

Revision 3dde95de - 2018-06-04 04:58 AM - Nyall Dawson

[processing][SAGA] Fix broken reclassify values algorithm

Fixes #18750

History

#1 - 2018-06-04 04:57 AM - Nyall Dawson
- % Done changed from 0 to 100
- Status changed from Open to Closed
Applied in changeset commit:qgis|3dde95de5de9a041b17ae85abaaab8fd6c889638.
